org.apache.tinkerpop.gremlin.process

## Class GroovyProcessStandardSuite

- java.lang.Object
- - Suite
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
    - - org.apache.tinkerpop.gremlin.process.ProcessStandardSuite
      - - org.apache.tinkerpop.gremlin.process.GroovyProcessStandardSuite

- Deprecated.
  As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.

      @Deprecated
      public class GroovyProcessStandardSuite
      extends ProcessStandardSuite

  The `GroovyProcessStandardSuite` is a JUnit test runner that executes the Gremlin Test Suite over a `Graph` implementation. This test suite covers traversal operations and should be implemented by providers to validate that their implementations are compliant with the Groovy flavor of the Gremlin language.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyProcessStandardSuite(Class<?> klass, RunnerBuilder builder)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTestExecution(Class<? extends AbstractGremlinTest> testClass)` Deprecated. Called just after test class execution.
    `boolean` | `beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)` Deprecated. Called just prior to test class execution.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `getGraphProviderClass, runChild, validateOptInAndOutAnnotationsOnGraph, withAfterClasses`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyProcessStandardSuite

          public GroovyProcessStandardSuite(Class<?> klass,
                                            RunnerBuilder builder)
                                     throws InitializationError

      Deprecated.
      Throws:
        `InitializationError`

  - ### Method Detail

    - #### beforeTestExecution

          public boolean beforeTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Deprecated.
      Description copied from class: `AbstractGremlinSuite`
      Called just prior to test class execution. Return false to ignore test class. By default this always returns true.
      Overrides:
        `beforeTestExecution` in class `AbstractGremlinSuite`

    - #### afterTestExecution

          public void afterTestExecution(Class<? extends AbstractGremlinTest> testClass)

      Deprecated.
      Description copied from class: `AbstractGremlinSuite`
      Called just after test class execution.
      Overrides:
        `afterTestExecution` in class `AbstractGremlinSuite`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.